/************************************************/
/*						*/
/*      Copyright:				*/
/*		 Jean-Marc Pigeon <jmp@safe.ca>	*/
/*	Distributed under the Gnu Public	*/
/*	License, see the License file in this	*/
/*	package.				*/
/*						*/
/*	Define routine to manage advice record	*/
/*						*/
/************************************************/
#ifndef GESADV
#define GESADV

#include	"unieml.h"

typedef	struct	{
	char *session;	/*Advice session name	*/
	char *subject;	/*email subject		*/
	float spmlvl;	/*email spam level	*/
	float spmlim;	/*email spam trigger lim*/
	u_long curtime;	/*mentor contract number*/
	u_long size;	/*email size		*/
	char *clip;	/*Remote client data	*/
	char *hfrom;	/*Enveloppe originator	*/
	char *hdom;	/*Evl originator domain	*/
	int relayed;	/*flag, Email relayed	*/
	char *virname;	/*Mail was virus (name)	*/
	RCPTYP **rcpts;	/*Recipients list	*/
	}ADVTYP;

extern ADVTYP *adv_freeadvice(ADVTYP *adv);
extern ADVTYP *adv_mkadvice(char **msgs);
extern char *adv_advicemsg(ADVTYP *adv);
#endif
