/************************************************/
/*						*/
/*      Copyright:				*/
/*		 Jean-Marc Pigeon <jmp@safe.ca>	*/
/*	Distributed under the Gnu Public	*/
/*	License, see the License file in this	*/
/*	package.				*/
/*						*/
/*	GESQUE:					*/
/*	routine to manage transite file.	*/
/*	transit file are the one used to resend	*/
/*	an E-mail to a remote/local smtp server	*/
/*						*/
/************************************************/
#include	<string.h>
#include	"dbgmem.h"
#include	"utlvec.h"
#include	"gesque.h"
/*

*/
/************************************************/
/*						*/
/*	Procedure to create a list of email	*/
/*	transite queue.				*/
/*						*/
/************************************************/
QUETYP **que_mkqueues(char *outip,char *smtpmx,char *smtpport,char *session,MMOENU mode,
		      char *subject,char *rejectto,char *from,RCPTYP **rcpts)

{
QUETYP **queues;

queues=(QUETYP **)0;
if (rcpts!=(RCPTYP **)0) {
  int i;

  for (i=0;rcpts[i]!=(RCPTYP *)0;i++) {
    QUETYP *q;

    if (rcpts[i]->rcpt!=(char *)0) {
      char *recname;
      char *ptr;

      recname=strdup(rcpts[i]->rcpt);
      if ((ptr=strchr(recname,'@'))!=(char *)0) {
        char *recdom;

        *ptr='\000';
	recdom=strdup(ptr+1);
        q=que_mkqueue(outip,smtpmx,smtpport,session,0,subject,rejectto,from,recname,recdom,mode,(int)rcpts[i]->status);
	q->transit=que_getuniqtransit();
        queues=(QUETYP **)vec_addlstlst((void *)queues,(void *)q);
	(void) free(recdom);
	}
      (void) free(recname);
      }
    }
  }
return queues;
}
