/************************************************/
/*						*/
/*      Copyright:				*/
/*		 Jean-Marc Pigeon <jmp@safe.ca>	*/
/*	Distributed under the Gnu Public	*/
/*	License, see the License file in this	*/
/*	package.				*/
/*						*/
/*	Define all routine to manage devices at	*/
/*	low level.				*/
/*						*/
/************************************************/
#ifndef UNIDEV
#define UNIDEV

#include	<stdio.h>
#include	<sys/socket.h>
#include	"utlprc.h"

#define	PROSMTP		"pro_smtp"
#define	PROPOP3		"pro_pop3"

/*local access to SMTP protocol			*/
#define SMTPPORT	"25"
/*pop3 protocol to do remote authentication	*/
#define	POP3		"pop-3"
#define	POP3S		"pop3s"
#define	POP3SPORT	"995"

#define	ANYADDR		"Any"

/*defining protocol values			*/
typedef enum {pro_smtp,	/*protocol SMTP		*/
	      pro_pop3,	/*protocol POP3		*/
	      pro_ment,	/*protocol Mentor	*/
	      pro_ukn	/*unknown protocol	*/
	      }PROTYP;

typedef	struct	{
	PROTYP proto;	/*used protocole	*/
	char *ip;	/*binding ip num	*/
	char *port;	/*binding port		*/
	u_int iteration;/*number of slot used.	*/
	}BININF;

/*listening binding definition			*/
typedef	struct	{
	BININF *binding;/*binding information	*/
	int handle;	/*binded handle		*/
	time_t lasttry;	/*last binding request	*/
	pid_t *process;	/*process used		*/
	}LSTTYP;

extern LSTTYP *dev_onefree(LSTTYP *lst);
extern PRCTYP *dev_oneclose(PRCTYP *prc,LSTTYP *lst);
extern int dev_mullisten(LSTTYP **lst);
extern void dev_mulopen(LSTTYP **lst,
			void (*tlsact)(int pool,LSTTYP *channel,int iteration));
extern void dev_mulclose(LSTTYP **lst);
extern int dev_acceptfile(LSTTYP *lst);
extern BININF *dev_dupbind(BININF *binding);
extern BININF *dev_mkbindinf(PROTYP proto,char *ip,char *port,int iteration);
extern BININF **dev_freebindinf(BININF **bindref);
#endif
